libdevice User's Guide (PDF) - v9.2.88 (older) - Last updated April 12, 2018 - Send Feedback

## 3.174. __nv_fsub_rz

Prototype:

    float @__nv_fsub_rz(float %x, float %y)

Description:

Compute the difference of `x` and `y` in round-towards-zero mode.

Returns:

Returns `x` - `y`.

Note:

For accuracy information for this function see the CUDA C Programming Guide, Appendix D.1, Table 6.

This operation will never be merged into a single multiply-add instruction.

Library Availability:

Compute 2.0: Yes

Compute 3.0: Yes

Compute 3.5: Yes